using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace SanShared.Exceptions
{
    public class DataBaseVersionMismatchException : Exception
    {
        public DataBaseVersionMismatchException()
        {
        }

        public DataBaseVersionMismatchException(string message) : base(message)
        {
        }

        public DataBaseVersionMismatchException(string message, Exception innerException) : base(message, innerException)
        {
        }

        protected DataBaseVersionMismatchException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }
    }
}
